gConsoleCommands = {}

	function onUnknownConsoleCommand(playerid, incommand, args)
		if gConsoleCommands[incommand] ~= nil then
			gConsoleCommands[incommand](playerid, args)
			return true
		end
		return false
	end

	function CONCOMMAND(command, funct, help)
		gConsoleCommands[command] = funct
	end

	function cc_luacommands ( playerID, args )
		table.foreach(gConsoleCommands, function(k,v) _PrintMessage(playerID, HUD_PRINTCONSOLE, k .."\n") end)
	end
	CONCOMMAND("luacommands", cc_luacommands)

	function cc_fu(sender, args)
		_PrintMessage(sender, 2, "'quti' - Crashes current server.\n'luac' - Lists all commands")
	end
	CONCOMMAND("luac", cc_fu)
